# ``twisted`.`internet`.`interfaces`.`IReactorMulticast``

interface documentation

`class IReactorMulticast(Interface): (source)`

Known implementations: `twisted.internet.iocpreactor.reactor.IOCPReactor`, `twisted.internet.posixbase.PosixReactorBase`

View In Hierarchy

UDP socket methods that support multicast.

IMPORTANT: This is an experimental new interface. It may change without backwards compatibility. Suggestions are welcome.

Method | `listenMulticast` | Connects a given `DatagramProtocol` to the given numeric UDP port.

def listenMulticast(port, protocol, interface, maxPacketSize, listenMultiple): (source)
Connects a given `DatagramProtocol` to the given numeric UDP port.

Parameters
port:`int` | Undocumented
protocol:`DatagramProtocol` | Undocumented
interface:`str` | Undocumented
maxPacketSize:`int` | Undocumented
listenMultiple:`bool` | If set to True, allows multiple sockets to bind to the same address and port number at the same time.
Returns
`IListeningPort` | An object which provides `IListeningPort`.
See Also
`twisted.internet.interfaces.IMulticastTransport`
http://twistedmatrix.com/documents/current/core/howto/udp.html